# **********************************************************************
#
# Copyright (c) 2003-2005 ZeroC, Inc. All rights reserved.
#
# This copy of Ice is licensed to you under the terms described in the
# ICE_LICENSE file included in this distribution.
#
# **********************************************************************

# Ice version 2.1.0
# Generated from file `DemoBase.ice'

import Ice, IcePy, __builtin__

# Start of module Demo
_M_Demo = Ice.openModule('Demo')
__name__ = 'Demo'

_M_Demo.MyStruct = Ice.createTempClass()
class MyStruct(object):
    def __init__(self, x=0):
        self.x = x

    def __hash__(self):
        _h = 0
        _h = 5 * _h + __builtin__.hash(self.x)
        return _h % 0x7fffffff

    def __eq__(self, other):
        if not self.x == other.x:
            return False
        return True

    def __str__(self):
        return IcePy.stringify(self, _M_Demo._t_MyStruct)

    __repr__ = __str__

_M_Demo._t_MyStruct = IcePy.defineStruct('::Demo::MyStruct', MyStruct, (("x", IcePy._t_int),))

_M_Demo.MyStruct = MyStruct
del MyStruct

# End of module Demo
