# **********************************************************************
#
# Copyright (c) 2003-2005 ZeroC, Inc. All rights reserved.
#
# This copy of Ice is licensed to you under the terms described in the
# ICE_LICENSE file included in this distribution.
#
# **********************************************************************

# Ice version 2.1.0
# Generated from file `Hello.ice'

import Ice, IcePy, __builtin__
import DemoBase_ice

# Included module Demo
_M_Demo = Ice.openModule('Demo')

# Start of module Demo
__name__ = 'Demo'

_M_Demo.Hello = Ice.createTempClass()
class Hello(Ice.Object):
    def __init__(self):
        if __builtin__.type(self) == _M_Demo.Hello:
            raise RuntimeError('Demo.Hello is an abstract class')

    def ice_ids(self, current=None):
        return ('::Demo::Hello', '::Ice::Object')

    def ice_id(self, current=None):
        return '::Demo::Hello'

    #
    # Operation signatures.
    #
    # def sayHello(self, current=None):
    # def shutdown(self, current=None):

    def __str__(self):
        return IcePy.stringify(self, _M_Demo._t_Hello)

    __repr__ = __str__

_M_Demo.HelloPrx = Ice.createTempClass()
class HelloPrx(Ice.ObjectPrx):

    def sayHello(self, _ctx=None):
        return _M_Demo.Hello._op_sayHello.invoke(self, (), _ctx)

    def shutdown(self, _ctx=None):
        return _M_Demo.Hello._op_shutdown.invoke(self, (), _ctx)

    def checkedCast(proxy, facet='', _ctx=None):
        return _M_Demo.HelloPrx.ice_checkedCast(proxy, '::Demo::Hello', facet, _ctx)
    checkedCast = staticmethod(checkedCast)

    def uncheckedCast(proxy, facet=''):
        return _M_Demo.HelloPrx.ice_uncheckedCast(proxy, facet)
    uncheckedCast = staticmethod(uncheckedCast)

_M_Demo._t_HelloPrx = IcePy.defineProxy('::Demo::Hello', HelloPrx)

_M_Demo._t_Hello = IcePy.defineClass('::Demo::Hello', Hello, True, None, (), ())
Hello.ice_type = _M_Demo._t_Hello

Hello._op_sayHello = IcePy.Operation('sayHello', Ice.OperationMode.Nonmutating, False, (), (), _M_Demo._t_MyStruct, ())
Hello._op_shutdown = IcePy.Operation('shutdown', Ice.OperationMode.Idempotent, False, (), (), None, ())

_M_Demo.Hello = Hello
del Hello

_M_Demo.HelloPrx = HelloPrx
del HelloPrx

# End of module Demo
